import request from '@/utils/request'

export function listPublicCourseWatchStatCourseDay(query) {
  return request({
    url: '/course/publicCourseWatchStat/courseDay/list',
    method: 'get',
    params: query
  })
}

export function exportPublicCourseWatchStatCourseDay(query) {
  return request({
    url: '/course/publicCourseWatchStat/courseDay/export',
    method: 'get',
    params: query
  })
}

export function listPublicCourseWatchStatCatalog(query) {
  return request({
    url: '/course/publicCourseWatchStat/catalog/list',
    method: 'get',
    params: query
  })
}

export function exportPublicCourseWatchStatCatalog(query) {
  return request({
    url: '/course/publicCourseWatchStat/catalog/export',
    method: 'get',
    params: query
  })
}

export function listCatalogUserStudy(query) {
  return request({
    url: '/course/publicCourseWatchStat/catalog/userStudy',
    method: 'get',
    params: query
  })
}
